[loggers]
keys=root,led_cube_app,cube3D,cubeLED,load_cfg,real_cube_api,real_cube_hw,console_api,console_api_bg,console_api_bg_internal,gui_switcher,gui_control_w

[handlers]
keys=consoleHandler,LFdbg,LFinfo,LFwarn

[formatters]
keys=name,name_time

###############################################################################
# Levels: DEBUG,INFO,WANR,ERORR
###############################################################################
[logger_root]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=ROOT
propagate=0

[logger_led_cube_app]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=led_cube_app
propagate=0

[logger_load_cfg]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=load_cfg
propagate=0

[logger_gui_switcher]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=gui_switcher
propagate=0

[logger_gui_control_w]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=gui_control_w
propagate=0

[logger_console_api]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=console_api
propagate=0

[logger_console_api_bg]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=console_api_bg
propagate=0

[logger_console_api_bg_internal]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=console_api_bg_internal
propagate=0

[logger_cubeLED]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=cubeLED
propagate=0

[logger_cube3D]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=cube3D
propagate=0

[logger_real_cube_api]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=real_cube_api
propagate=0

[logger_real_cube_hw]
level=DEBUG
handlers=consoleHandler,LFdbg,LFinfo,LFwarn
qualname=real_cube_hw
propagate=0


###############################################################################
# output handlers
###############################################################################

[handler_consoleHandler]
class=StreamHandler
level=INFO
formatter=name
args=(sys.stdout,)

[handler_LFdbg]
class=FileHandler
level=DEBUG
formatter=name_time
args=('Log_debug.txt', 'w')

[handler_LFinfo]
class=FileHandler
level=INFO
formatter=name_time
args=('Log_info.txt', 'w')

[handler_LFwarn]
class=FileHandler
level=WARN
formatter=name_time
args=('Log_warn.txt', 'w')


# Formater for console (without timestamps - not good for file)
[formatter_name]
format=
 %(levelname)s | %(name)s | %(message)s

datefmt=

# Format with timestamps (good for files, not good for console)
[formatter_name_time]
format=
 %(levelname)s | %(name)s | %(asctime)s | %(message)s

datefmt=
